Extending Qt Creator Manual | BareFunctionTypeNode

Extending Qt Creator Manual 4.7.1

# BareFunctionTypeNode Class

(Debugger::Internal::BareFunctionTypeNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

| BareFunctionTypeNode(Debugger::Internal::GlobalParseState *parseState)
bool | hasReturnType() const
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef BareFunctionTypeNode::Ptr

## Member Function Documentation

### BareFunctionTypeNode::BareFunctionTypeNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of BareFunctionTypeNode.

### bool BareFunctionTypeNode::hasReturnType() const

### `[static]` bool BareFunctionTypeNode::mangledRepresentationStartsWith(char c)

### int BareFunctionTypeNode::toByteArray() const